pydo.databases.get_user()
Generated on 9 Jun 2026
from pydo version
v0.36.0
Usage
client.databases.get_user(
database_cluster_uuid="9cc10173-e9ea-4176-9dbc-a4cee4c4ff30",
username="app-01",
)Description
To show information about an existing database user, send a GET request to
/v2/databases/{database_cluster_uuid}/users/{username}.
Note: User management is not supported for Caching or Valkey clusters.
The response will be a JSON object with a user key. This will be set to an object
containing the standard database user attributes. The user’s password will not show
up unless the database:view_credentials scope is present.
For MySQL clusters, additional options will be contained in the mysql_settings
object.
For Kafka clusters, additional options will be contained in the settings object.
For MongoDB clusters, additional information will be contained in the mongo_user_settings object
Parameters
database_cluster_uuidstring requiredA unique identifier for a database cluster.
usernamestring requiredThe name of the database user.
Request Sample
Response Example
More Information
See /v2/databases/{database_cluster_uuid}/users/{username} in the API reference for additional detail on responses, headers, parameters, and more.